Organization
List Organizations
GET /v1/organizations/list
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
QueryString
| Name | Type | Description |
|---|---|---|
| action=list | string | The action (will not be needed soon) |
Response
{
"status": 200,
"data": {
"organizations": [
{
"org_id": "string",
"org_name": "string",
"role": "string",
"owner": "string",
"resources": number
}
]
}
}
Create Organization
POST /v1/organizations/create
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Query String
| Name | Type | Description |
|---|---|---|
action=create |
string | The action (will not be needed soon) |
Response
{
"status": 200,
"response": {
"id": "string"
}
}
Update Organization
POST /v1/organizations/update?action=update
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Querystring
| Name | Type | Description |
|---|---|---|
org_id |
string | The Organization ID |
action=update |
number | The action (will not be needed soon) |
Response
{
"status": 200
}
Remove Organization
POST /v1/organizations/remove?action=remove
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Body
| Name | Type | Description |
|---|---|---|
org_id |
string | The Organization ID |
Response
{
"status": 200
}